This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 500081 - low sound volume/no mic recording [HDA Intel 1462:6510]
low sound volume/no mic recording [HDA Intel 1462:6510]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2009-05-10 15:19 EDT by Alexey Kuznetsov
Modified: 2010-06-28 08:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
amixer_after.txt (3.41 KB, text/plain)
2009-05-10 15:20 EDT, Alexey Kuznetsov
no flags Details
amixer_before.txt (3.41 KB, text/plain)
2009-05-10 15:20 EDT, Alexey Kuznetsov
no flags Details
alsa-info.txt (30.82 KB, text/plain)
2009-05-10 15:24 EDT, Alexey Kuznetsov
no flags Details
amixer_after.txt (3.41 KB, text/plain)
2009-05-10 15:24 EDT, Alexey Kuznetsov
no flags Details
amixer_after.txt (3.41 KB, text/plain)
2009-05-10 15:34 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2009-05-10 15:19:52 EDT
notebook msi gx620

three sound input: front mic, input mic, line in

by default should be enabled front mic (as i think);
Comment 1 Alexey Kuznetsov 2009-05-10 15:20:13 EDT
Created attachment 343288 [details]
amixer_after.txt
Comment 2 Alexey Kuznetsov 2009-05-10 15:20:30 EDT
Created attachment 343289 [details]
amixer_before.txt
Comment 3 Alexey Kuznetsov 2009-05-10 15:21:21 EDT
sound recording at really bad quality. (before and after mixer playing)
Comment 4 Alexey Kuznetsov 2009-05-10 15:24:31 EDT
Created attachment 343291 [details]
alsa-info.txt
Comment 5 Alexey Kuznetsov 2009-05-10 15:24:59 EDT
Created attachment 343292 [details]
amixer_after.txt
Comment 6 Alexey Kuznetsov 2009-05-10 15:34:12 EDT
Created attachment 343293 [details]
amixer_after.txt
Comment 7 Lennart Poettering 2009-05-10 18:25:46 EDT
diff is:

--- a	2009-05-11 00:24:51.000000000 +0200
+++ b	2009-05-11 00:25:03.000000000 +0200
@@ -1,39 +1,39 @@
 Simple mixer control 'Master',0
   Capabilities: pvolume pvolume-joined pswitch pswitch-joined
   Playback channels: Mono
   Limits: Playback 0 - 31
-  Mono: Playback 17 [55%] [-21.00dB] [on]
+  Mono: Playback 23 [74%] [-12.00dB] [on]
 Simple mixer control 'Headphone',0
   Capabilities: pvolume pswitch
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 31
   Mono:
-  Front Left: Playback 17 [55%] [-21.00dB] [on]
-  Front Right: Playback 17 [55%] [-21.00dB] [on]
+  Front Left: Playback 31 [100%] [0.00dB] [on]
+  Front Right: Playback 31 [100%] [0.00dB] [on]
 Simple mixer control 'PCM',0
   Capabilities: pvolume
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 255
   Mono:
-  Front Left: Playback 155 [61%] [-20.00dB]
-  Front Right: Playback 155 [61%] [-20.00dB]
+  Front Left: Playback 255 [100%] [0.00dB]
+  Front Right: Playback 255 [100%] [0.00dB]
 Simple mixer control 'Front',0
   Capabilities: pvolume pswitch
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 31
   Mono:
-  Front Left: Playback 17 [55%] [-21.00dB] [on]
-  Front Right: Playback 17 [55%] [-21.00dB] [on]
+  Front Left: Playback 31 [100%] [0.00dB] [on]
+  Front Right: Playback 31 [100%] [0.00dB] [on]
 Simple mixer control 'Front Mic',0
   Capabilities: pvolume pswitch
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 31
   Mono:
-  Front Left: Playback 0 [0%] [-34.50dB] [off]
-  Front Right: Playback 0 [0%] [-34.50dB] [off]
+  Front Left: Playback 31 [100%] [12.00dB] [off]
+  Front Right: Playback 31 [100%] [12.00dB] [off]
 Simple mixer control 'Front Mic Boost',0
   Capabilities: volume
   Playback channels: Front Left - Front Right
   Capture channels: Front Left - Front Right
   Limits: 0 - 3
   Front Left: 0 [0%]
@@ -63,23 +63,23 @@
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
 Simple mixer control 'IEC958 Default PCM',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
-  Mono: Playback [on]
+  Mono: Playback [off]
 Simple mixer control 'IEC958',1
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
 Simple mixer control 'Capture',0
   Capabilities: cvolume cswitch
   Capture channels: Front Left - Front Right
   Limits: Capture 0 - 31
-  Front Left: Capture 19 [61%] [12.00dB] [on]
-  Front Right: Capture 19 [61%] [12.00dB] [on]
+  Front Left: Capture 31 [100%] [30.00dB] [on]
+  Front Right: Capture 31 [100%] [30.00dB] [on]
 Simple mixer control 'Capture',1
   Capabilities: cvolume cswitch
   Capture channels: Front Left - Front Right
   Limits: Capture 0 - 31
   Front Left: Capture 0 [0%] [-16.50dB] [on]
   Front Right: Capture 0 [0%] [-16.50dB] [on]
@@ -87,17 +87,17 @@
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
 Simple mixer control 'Input Source',0
   Capabilities: cenum
   Items: 'Mic' 'Front Mic' 'Line'
-  Item0: 'Mic'
+  Item0: 'Front Mic'
 Simple mixer control 'Input Source',1
   Capabilities: cenum
   Items: 'Mic' 'Front Mic' 'Line'
-  Item0: 'Line'
+  Item0: 'Mic'
 Simple mixer control 'Off-hook',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
 Simple mixer control 'Speaker',0
   Capabilities: pswitch

Jaroslav, maybe this is stuff that should be moved into the alsa db? at least partially?
Comment 8 Bug Zapper 2009-06-09 11:36:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 10:15:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:29:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.